<?php
/*Автор - TheAlex(Саня)
Все права принадлежат компании CreaWap)*/
$title = 'Покупка товара';
require_once ('../system/function.php');
require_once ('../system/header.php');
echo '<div class="title">'.$title.'</div>';
$_GET['id']=abs(intval($_GET['id']));
$goods=mysql_fetch_assoc(mysql_query("SELECT * FROM `shop_goods` WHERE `id`='".$_GET['id']."'"));
if(!isset($user)){
	$error='Страница доступна только зарегистрированным пользователям!';
}elseif($user['money']<$goods['price']){
	$error='У вас не хватает средств для покупки данного товара!';
}elseif(mysql_num_rows(mysql_query("SELECT * FROM `shop_goods` WHERE `id`='".$_GET['id']."'"))==0){
	$error='Товара не существует!';
}elseif(mysql_num_rows(mysql_query("SELECT * FROM `shop_buy` WHERE `id_us`='".$user['id']."' AND `id_goods`='".$_GET['id']."'"))!=0){
	$error='Вы уже покупали этот товар!';
}elseif(mysql_num_rows(mysql_query("SELECT * FROM `shop_buy` WHERE `id_goods`='".$_GET['id']."'"))>=$goods['amount']){
	$error='Все копии проданы!';
}
if(isset($error)){
	echo '<div class="podmenu"><center><b>'.$error.'</b></center></div>';
	require_once ('../system/footer.php');
	exit();
}
switch($_GET['act']){
default:
echo '<div class="podmenu">
Купить '.$goods['name'].' за '.$goods['price'].' руб.?<br/>
<a href="?id='.$_GET['id'].'&act=ok">Да</a> | <a href="?id='.$_GET['id'].'&act=no">Нет</a>
</div>';
break;
 case 'ok':
$qm=$user['money']-$goods['price'];
$wm=mysql_result(mysql_query("SELECT `money` FROM `users` WHERE `id`='".$goods['id_us']."'"), 0)+$goods['price'];
mysql_query("UPDATE `users` SET `money`='".$qm."' WHERE `id`='".$user['id']."'");
mysql_query("UPDATE `users` SET `money`='".$wm."' WHERE `id`='".$goods['id_us']."'");
mysql_query("INSERT INTO `lenta` SET `text`='Купил ваш [url=".$HOME."/m/tovar.php?id=".$_GET['id']."]товар[/url]!', `kto`='".$user['id']."', `komy`='".$goods['id_us']."', `time`='".time()."', `readlen`='0'");
mysql_query("INSERT INTO `shop_buy` SET `id_us`='".$user['id']."', `id_goods`='".$_GET['id']."'");
echo '<div class="podmenu">Вы успешно приобрели товар!<br/>
Скачать вы его можете на его <a href="/m/tovar.php?id='.$_GET['id'].'">cтранице!</a>
</div>';
 break;
 case 'no':
 header('location:/m/tovar.php'.$_GET['id']);
 break;
}
echo '<div class="links"><a href="/m">Магазин</a></div>';
require_once ('../system/footer.php');
?>